> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recurring Billings

> List all recurring billing subscriptions with status filtering



## OpenAPI

````yaml get /v1/recurring-billing
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/recurring-billing:
    get:
      summary: Get All Recurring Billing
      description: Use this API to get the a list of all recurring billings
      operationId: get-all-recurring-billing
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: customer_email
          in: query
          description: Customer Email
          schema:
            type: string
        - name: reference
          in: query
          description: Reference number
          schema:
            type: string
        - name: business_recurring_plans_id
          in: query
          description: Recurring Plan ID
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          description: >-
            Recurring billing status, options [active, scheduled, retrying,
            inactive, canceled]
          schema:
            type: string
            default: active
            enum:
              - active
              - scheduled
              - retrying
              - inactive
              - canceled
      responses:
        '200':
          description: '200'
          content: {}
      deprecated: false
      security: []

````